<?php
# ***** BEGIN LICENSE BLOCK *****
# Tribune Libre for DotClear.
# Copyright (c) 2005 Antoine Libert. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****


/////////////////////////////////////////////////
// Retourne le code du player

class dcDotsound {

	//fonction replace
	function replace($f) {
		$oldf = str_replace('ecrire',DC_ECRIRE,dirname(__FILE__).'/../../../'.$f);
		$newf = dirname(__FILE__).'/files/'.$f;

		if (@copy($newf,$oldf)) {
			return TRUE;
		} else {
			return FALSE;
		}
	}
	
	// Le player de MP3
	function getMp3PlayerCode($playerDirectory,$mp3Path,$autoPlay,$bgColor,$width,$height,$displayPodcastLogo){

		$blogUrl = str_replace("index.php","",dc_blog_url);

		$code = '&lt;object type="application/x-shockwave-flash" data="'.$blogUrl.$playerDirectory.'/dewplayer.swf?son='.$blogUrl.$mp3Path.'&amp;amp;autoplay='.$autoPlay.'" width="'.$width.'" height="'.$height.'"&gt;<br/>'
				 .'&lt;param name="movie" value="'.$blogUrl.$playerDirectory.'/dewplayer.swf?son='.$blogUrl.$mp3Path.'&amp;amp;autoplay='.$autoPlay.'" /&gt;<br/>'
				 .'&lt;param name="bgcolor" value="'.$bgColor.'" /&gt;<br/>'
			   .'&lt;param name="wmode" value="transparent" /&gt;<br/>'
				 .'&lt;/object&gt;<br/>///<br/>';

		if ($displayPodcastLogo=="1") {
			$code = '&lt;a href="'.$blogUrl.$mp3Path.'"&gt;&lt;img src="'.$blogUrl.$playerDirectory.'/podcast.png" alt="podcast" style="border:0"/&gt;&lt;/a&gt;'.$code;
		}

		return "<br/>///html<br/>".$code;
	}
	
	// Le player de fichier FLV
	function getMoviePlayerCode($playerDirectory,$mp3Path,$autoPlay,$bgColor,$width,$height,$displayPodcastLogo){
	
		$blogUrl = str_replace("index.php","",dc_blog_url);
	
		$code = '&lt;object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" codebase="http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=7,0,0,0" width="'.$width.'" height="'.$height.'" id="lecteur" align="middle"><br/>'
			.'&lt;param name="movie" value="'.$blogUrl.$playerDirectory.'/flvplayer.swf?file='.$blogUrl.$mp3Path.'&amp;amp;autoStart=false" /&gt;<br/>'
			.'&lt;param name="quality" value="high" /&gt;<br/>'
			.'&lt;param name="bgcolor" value="'.$bgColor.'" /&gt;<br/>'
			.'&lt;param name="wmode" value="transparent" /&gt;<br/>'
			.'&lt;embed src="'.$blogUrl.$playerDirectory.'/flvplayer.swf?file='.$blogUrl.$mp3Path.'&amp;amp;autoStart=false" quality="high" bgcolor="'.$bgColor.'" width="'.$width.'" height="'.$height.'" name="lecteur" align="middle" allowScriptAccess="sameDomain" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer" /&gt;<br/>'
			.'&lt;/object&gt;<br/>///<br/>';
			
		return "<br/>///html<br/>".$code;

	}
}
?>
